curl --request POST \
--url 'https://api.payroc.com/v1/merchant-platforms' \
--header 'Authorization: Bearer <access-token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <uuid>' \
--data '{
"business": {
"addresses": [
{
"address1": "1 Example Ave.",
"address2": "Example Address Line 2",
"address3": "Example Address Line 3",
"city": "Chicago",
"country": "US",
"postalCode": "60056",
"state": "Illinois",
"type": "legalAddress"
}
],
"contactMethods": [
{
"type": "email",
"value": "jane.doe@example.com"
}
],
"countryOfOperation": "US",
"name": "Example Corp",
"organizationType": "privateCorporation",
"taxId": "12-3456789"
},
"metadata": {
"customerId": "2345"
},
"processingAccounts": [
{
"addendums": [
{
"type": "telehealthV1"
},
{
"type": "firearmsV1"
}
],
"address": {
"address1": "1 Example Ave.",
"address2": "Example Address Line 2",
"address3": "Example Address Line 3",
"city": "Chicago",
"country": "US",
"postalCode": "60056",
"state": "Illinois"
},
"businessStartDate": "2020-01-01",
"businessType": "restaurant",
"categoryCode": 5999,
"contactMethods": [
{
"type": "email",
"value": "jane.doe@example.com"
}
],
"doingBusinessAs": "Pizza Doe",
"funding": {
"acceleratedFundingFee": 1999,
"dailyDiscount": false,
"fundingAccounts": [
{
"metadata": {
"yourCustomField": "abc123"
},
"nameOnAccount": "Jane Doe",
"paymentMethods": [
{
"type": "ach",
"value": {
"accountNumber": "1234567890",
"routingNumber": "123456789"
}
}
],
"type": "checking",
"use": "creditAndDebit"
}
],
"fundingSchedule": "nextday"
},
"merchandiseOrServiceSold": "Pizza",
"metadata": {
"customerId": "2345"
},
"owners": [
{
"address": {
"address1": "1 Example Ave.",
"address2": "Example Address Line 2",
"address3": "Example Address Line 3",
"city": "Chicago",
"country": "US",
"postalCode": "60056",
"state": "Illinois"
},
"contactMethods": [
{
"type": "email",
"value": "jane.doe@example.com"
}
],
"dateOfBirth": "1964-03-22",
"firstName": "Jane",
"identifiers": [
{
"type": "nationalId",
"value": "000-00-4320"
}
],
"lastName": "Doe",
"middleName": "Helen",
"relationship": {
"equityPercentage": 48.5,
"isAuthorizedSignatory": false,
"isControlProng": true,
"title": "CFO"
}
}
],
"pricing": {
"pricingIntentId": "6123",
"type": "intent"
},
"processing": {
"monthlyAmounts": {
"average": 50000,
"highest": 100000
},
"transactionAmounts": {
"average": 5000,
"highest": 10000
},
"volumeBreakdown": {
"cardPresent": 77,
"ecommerce": 20,
"mailOrTelephone": 3
}
},
"processor": "tsys",
"signature": {
"type": "requestedViaDirectLink"
},
"timezone": "America/Chicago",
"website": "www.example.com"
}
]
}'